Package relaxngcc.codedom

## Class CDConstant

- java.lang.Object
- - relaxngcc.codedom.CDExpression
  - - relaxngcc.codedom.CDConstant

-     public class CDConstant
      extends CDExpression

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CDExpression` | `NULL` |
    `static CDExpression` | `SUPER` |
    `static CDExpression` | `THIS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDConstant​(boolean value)` |
    `CDConstant​(int value)` |
    `CDConstant​(java.lang.String value)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `express​(CDFormatter f)` |

    - ### Methods inherited from class relaxngcc.codedom.CDExpression

      `_new, arrayRef, arrayRef, castTo, invoke, not, prop`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NULL

          public static final CDExpression NULL

    - #### THIS

          public static final CDExpression THIS

    - #### SUPER

          public static final CDExpression SUPER

  - ### Constructor Detail

    - #### CDConstant

          public CDConstant​(int value)

    - #### CDConstant

          public CDConstant​(boolean value)

    - #### CDConstant

          public CDConstant​(java.lang.String value)

  - ### Method Detail

    - #### express

          public void express​(CDFormatter f)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`